Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.verifier
Class ErrorInfo.BadTagName

    java.lang.Object
      com.sun.msv.verifier.ErrorInfo
          com.sun.msv.verifier.ErrorInfo.ElementErrorInfo
              com.sun.msv.verifier.ErrorInfo.BadTagName

Enclosing class:
  ErrorInfo

public static class ErrorInfo.BadTagName
extends ErrorInfo.ElementErrorInfo

Bad tag name.

This type of error occurs when MSV finds an unexpected tag name. For example:

1. When a tag name appears where it is not valid to appear.

        <html>
          <head> ... </head>
          <head> ... </head> <!-- head cannot appear here -->
          <body> ... </body>
        </html>
        </pre>

2. When there is a typo in the tag name.

        <html>
          <heed> ... </heed> <!-- typo -->
          <body> ... </body>
        </pre>

3. When an element appears where no element is allowed at all.

        <html>
          <head>
            <meta ...>
              <junk/>   <!-- meta cannot have any children -->

This error is reported when the startElement callback is called.

Nested Class Summary

Nested classes inherited from class com.sun.msv.verifier.ErrorInfo
`ErrorInfo.BadAttribute, ErrorInfo.BadTagName, ErrorInfo.BadText, ErrorInfo.ElementErrorInfo, ErrorInfo.IncompleteContentModel, ErrorInfo.MissingAttribute`

Field Summary

Fields inherited from class com.sun.msv.verifier.ErrorInfo.ElementErrorInfo
`localName, namespaceURI, qName`

Constructor Summary
`ErrorInfo.BadTagName(StartTagInfo sti)`
`ErrorInfo.BadTagName(java.lang.String qn, java.lang.String ns, java.lang.String loc)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorInfo.BadTagName

    public ErrorInfo.BadTagName(java.lang.String qn,
                                java.lang.String ns,
                                java.lang.String loc)

### ErrorInfo.BadTagName

    public ErrorInfo.BadTagName(StartTagInfo sti)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD